\ProvidesPackage{styles}
%--------------------
%chapter style
\pagestyle{ruled}
\chapterstyle{bringhurst}
\renewcommand\printchapternum{\large \thechapter.~\scshape}
\setlength{\parindent}{.75em}
\setlength{\parskip}{1.5em}
%section style
\setsecheadstyle{\centering \bfseries}
\setbeforesecskip{2em}
\setaftersecskip{1em}
%subsection style
\newcommand{\subsec}[1]{\subsection{#1\qquad}:}
\setsubsecheadstyle{\itshape}
\setaftersubsecskip{1pt}
\setbeforesubsecskip{3em}
\setsecnumdepth{subsection}
%----
%end of lecture
\newcounter{lecture}
\addtocounter{lecture}{1}
\newcounter{inlec}[lecture]
\addtocounter{inlec}{1}
\setbeforesubsubsecskip{1em}
\setaftersubsubsecskip{.5em}
\setsubsubsecheadstyle{\small \normalfont}
\usepackage[yyyymmdd,hhmmss]{datetime}
\renewcommand{\dateseparator}{-}
\def\dotfill#1{\cleaders\hbox to #1{.}\hfill}
\makeatletter
\def\myrulefill{\leavevmode\leaders\hrule height .7ex width 1ex depth -0.6ex\hfill\kern\z@}
\makeatother
\newcommand{\lec}{\subsubsection{\noindent\myrulefill~\fbox{\textcolor{red}{End of Lecture \arabic{lecture}}}~\myrulefill}\stepcounter{lecture}}
%------------------
%for inlec-counting
\sideparmargin{outer}
\setmarginnotes{2em}{5em}{0pt}
\renewcommand*{\sidebarvsep}{5em}
\newcommand{\inlec}{%
\stepcounter{inlec} \sidebar{\tiny \arabic{lecture}.\arabic{inlec}}}
%general purpose appearence
\usepackage[left=3cm,right=3cm,top=2.5cm,bottom=2.5cm]{geometry}
\usepackage[colorlinks=true,linkcolor=blue,unicode]{hyperref}
%---------
%import index package
\usepackage{makeidx}
\makeindex
%redefine emph (https://tinyurl.com/y9nxokvw)
\makeatletter
\DeclareRobustCommand{\em}{%
  \@nomath\em \if b\expandafter\@car\f@series\@nil
  \normalfont \else \bfseries \fi}
\makeatother
%boldface index reference
\makeatletter
\def\toidx{\@ifnextchar[{\@with}{\@without}}
\def\@with[#1]#2{\emph{#1}\index{#2}}
\def\@without#1{\emph{#1}\index{#1}}
\makeatother


%pagestyle for current last page, which is supposed to show current version number
%(hope that we don't need to put it somewhere, where a new chapter starts, the some things get ugly)
\copypagestyle{rlast}{ruled}
\makeevenfoot{rlast}{\thepage}{}{\small \itshape \today,\currenttime}
\makeoddfoot{rlast}{\small \itshape \today,\currenttime}{}{\thepage}

%for enumerate
\usepackage{enumitem}
\setlist[enumerate]{topsep=-.5em,label=\roman*)}

%for colored boxes
\usepackage{xcolor}
\newcommand{\coms}{\color{purple}}%comment - start
\newcommand{\come}{\color{black}}%comment - end
\newcommand{\tos}{\color{red}}

%for numerics stuff
\usepackage{listings}
\lstset{numbers=left, numberstyle=\tiny, stepnumber=2, numbersep=5pt, escapeinside={(*}{*)}}

%for framing:
\usepackage{framed}
